ChannelSwitchTypedefs Class Reference
Inheritance diagram for ChannelSwitchTypedefs:

## Public Types

typedef std::pair< BufferedTransformation *, std::string > | Route
typedef std::multimap< std::string, Route > | RouteMap
typedef std::pair< BufferedTransformation *, value_ptr< std::string > > | DefaultRoute
typedef std::list< DefaultRoute > | DefaultRouteList
typedef RouteMap::iterator | MapIterator
typedef DefaultRouteList::iterator | ListIterator

## Detailed Description

Definition at line 57 of file channels.h.

## Member Typedef Documentation

## Route

typedef std::pair<BufferedTransformation *, std::string> ChannelSwitchTypedefs::Route

Definition at line 60 of file channels.h.

## RouteMap

typedef std::multimap<std::string, Route> ChannelSwitchTypedefs::RouteMap

Definition at line 61 of file channels.h.

## DefaultRoute

typedef std::pair<BufferedTransformation *, value_ptr<std::string> > ChannelSwitchTypedefs::DefaultRoute

Definition at line 63 of file channels.h.

## DefaultRouteList

typedef std::list<DefaultRoute> ChannelSwitchTypedefs::DefaultRouteList

Definition at line 64 of file channels.h.

## MapIterator

typedef RouteMap::iterator ChannelSwitchTypedefs::MapIterator

Definition at line 67 of file channels.h.

## ListIterator

typedef DefaultRouteList::iterator ChannelSwitchTypedefs::ListIterator

Definition at line 68 of file channels.h.

The documentation for this class was generated from the following file:

- channels.h